Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.versification
Enum QualifiedKey.Qualifier

    java.lang.Object
      java.lang.Enum<QualifiedKey.Qualifier>
          org.crosswire.jsword.versification.QualifiedKey.Qualifier

All Implemented Interfaces:
  Serializable, Comparable<QualifiedKey.Qualifier>

Enclosing class:
  QualifiedKey

    static enum QualifiedKey.Qualifier

extends Enum<QualifiedKey.Qualifier>

A Qualifier indicates whether the verse is numbered the same in both the KJV and the other, is missing in the KJV or the other.

Enum Constant Summary
`ABSENT_IN_KJV` The ABSENT_IN_KJV Qualifier indicates that the right (KJV) side of the map has no equivalent on the left.
`ABSENT_IN_LEFT` The ABSENT_IN_LEFT Qualifier indicates that the left side of the map has no equivalent on the right (KJV).
`DEFAULT` The DEFAULT Qualifier indicates a Verse or a VerseRange.

Method Summary
`abstract String` | `getDescription(QualifiedKey q)`
`static QualifiedKey.Qualifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QualifiedKey.Qualifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final QualifiedKey.Qualifier DEFAULT

  The DEFAULT Qualifier indicates a Verse or a VerseRange.

### ABSENT_IN_LEFT

    public static final QualifiedKey.Qualifier ABSENT_IN_LEFT

  The ABSENT_IN_LEFT Qualifier indicates that the left side of the map has no equivalent on the right (KJV).

### ABSENT_IN_KJV

    public static final QualifiedKey.Qualifier ABSENT_IN_KJV

  The ABSENT_IN_KJV Qualifier indicates that the right (KJV) side of the map has no equivalent on the left.

Method Detail

### values

    public static QualifiedKey.Qualifier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QualifiedKey.Qualifier c : QualifiedKey.Qualifier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QualifiedKey.Qualifier valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDescription

    public abstract String getDescription(QualifiedKey q)

  Parameters:
    `q` - the QualifiedKey that this describes
  Returns:
    The description for the qualified key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD